Skip to main content
POST
/
v1
/
messages
/
bulk
Toplu mesaj gönder
curl --request POST \
  --url https://api.iletiniz.com/v1/messages/bulk \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "to": "<string>",
      "body": "<string>",
      "variables": {}
    }
  ],
  "provider": "<string>",
  "sender": "<string>",
  "template": "<string>"
}
'
{
  "total": 123,
  "sent": 123,
  "failed": 123,
  "provider": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "results": [
    {
      "to": "<string>",
      "status": "sent",
      "job_id": "<string>",
      "error": {
        "code": "INVALID_RECIPIENT",
        "message": "<string>"
      }
    }
  ],
  "template": "<string>",
  "template_key": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.iletiniz.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
items
object[]
required
Required array length: 1 - 200 elements
provider
string
Maximum string length: 64
Pattern: ^[a-z0-9_-]+$
sender
string
Maximum string length: 32
template
string
Pattern: ^[a-z0-9_]{1,64}$

Response

Toplu sonuç

total
integer
required
sent
integer
required
failed
integer
required
provider
string
required
created_at
string<date-time>
required
results
object[]
required
template
string
template_key
string